Bug 495053 - ifup script not set correctly vlan_name_type
ifup script not set correctly vlan_name_type
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: initscripts (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: initscripts Maintenance Team
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 09:12 EDT by Pietro Bertera
Modified: 2009-09-02 07:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:14:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to /sbin/ifup (946 bytes, patch)
2009-04-09 09:12 EDT, Pietro Bertera
no flags Details | Diff

  None (edit)
Description Pietro Bertera 2009-04-09 09:12:35 EDT
Created attachment 338899 [details]
patch to /sbin/ifup

Description of problem:
if 8021q module is loaded ifup script not set correctly vlan_name_type

How reproducible:

Every time

Steps to Reproduce:
1. Create a vlan device ifcfg file with VLAN_NAME_TYPE=VLAN_PLUS_VID_NO_PAD
2. load 8021q module 
3. change vlan name type
4. ifup vlan device

ifcfg-vlan101:
----
VLAN=yes
VLAN_NAME_TYPE=VLAN_PLUS_VID_NO_PAD
DEVICE=vlan101
PHYSDEV=eth2
BOOTPROTO=static
ONBOOT=yes
TYPE=Ethernet
IPADDR=192.168.101.2
NETMASK=255.255.255.0
NETWORK=192.168.101.0
----

# modprobe 8021q
# vconfig set_name_type DEV_PLUS_VID
Set name-type for VLAN subsystem. Should be visible in /proc/net/vlan/config
# ifup vlan101
Added VLAN with VID == 101 to IF -:eth2:-
Device vlan101 does not seem to be present, delaying initialization.

  
Actual results:
the vlan is added. i can see in /proc/net/vlan , but vlan interface is not initialized: the device is created with DEV_PLUS_VID name type.

# ls /proc/net/vlan/
config  eth2.0101

Expected results:
Vlan devices are created with VLAN_PLUS_VID_NO_PAD name type

Additional info:
Attached patch to /sbin/ifup that fixes it
Comment 1 Bill Nottingham 2009-04-09 10:31:34 EDT
Looks reasonable, although your patch is reversed.

Committed upstream as http://git.fedorahosted.org/git/?p=initscripts.git;a=commitdiff;h=06d5b450647af97048fb085a3f363b0e7bf904a5
Comment 4 Harald Hoyer 2009-05-05 08:52:57 EDT
Please test the erratum candidate:
http://people.redhat.com/harald/downloads/initscripts/initscripts-8.45.26.1.el5/
Comment 6 Pietro Bertera 2009-05-06 03:26:43 EDT
it works
Comment 9 errata-xmlrpc 2009-09-02 07:14:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1344.html

Note You need to log in before you can comment on or make changes to this bug.